Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetOption

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.common.model.AbstractTreeNode<InetOption>
ru.bitel.bgbilling.modules.inet.common.bean.InetOption

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<InetOption>`, `TreeNode<InetOption>`

public class InetOption extends AbstractTreeNode<InetOption> implements TreeNode<InetOption>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.AbstractTreeNode

  `children, parentId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `boolean`
  `isGroupIntersection()`
  `InetOption`
  `setComment(String comment)`
  `InetOption`
  `setConfig(String config)`
  `InetOption`
  `setGroupIntersection(boolean groupIntersection)`
  `InetOption`
  `setId(int id)`
  Устанавливает id объекта
  `InetOption`
  `setParentId(int parentId)`
  `InetOption`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.AbstractTreeNode

  `getChildren, getParentId, setChildren, toList`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

  ### Methods inherited from interface ru.bitel.common.model.TreeNode

  `getChildren`

- ## Constructor Details

  - ### InetOption

    public InetOption()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getConfig

    public String getConfig()

  - ### isGroupIntersection

    public boolean isGroupIntersection()

  - ### setComment

    public InetOption setComment(String comment)

  - ### setConfig

    public InetOption setConfig(String config)

  - ### setGroupIntersection

    public InetOption setGroupIntersection(boolean groupIntersection)

  - ### setId

    public InetOption setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public InetOption setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setParentId

    public InetOption setParentId(int parentId)
    Overrides:
      `setParentId` in class `AbstractTreeNode<InetOption>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`